/**
 * Saves data for local profiles ~fox
 * Based off and may contain code provided by and Copyright 1998-2008 Epic Games, Inc. All Rights Reserved.
 */
class foxLocalProfile extends Object
	config(foxLocalProfile)
	perobjectconfig;

struct SaveElement
{
	var int id;
	var string value;
};

var config int VersionNumber;
var config array<SaveElement> SavedSettings;

var const int PROFILEVERSION;

//fox: Import the external Profile into our local profile, overwriting any settings
function ImportFromProfile(foxProfileSettings Profile)
{
	local SaveElement elem;

	//VersionNumber = Profile.GetVersionNumber();
	VersionNumber = PROFILEVERSION;

	SavedSettings.length = 0;
	foreach Profile.ProfileSettingIds(elem.id) {
		Profile.GetProfileSettingValue(elem.id,elem.value);
		SavedSettings.AddItem(elem);
	}

	SaveConfig();
}

//fox: Export our local profile to the external Profile
function ExportToProfile(foxProfileSettings Profile)
{
	local SaveElement elem;

	//If our local profile is out of date (or the structures don't match), bail out
	if (VersionNumber != PROFILEVERSION || SavedSettings.length != Profile.ProfileSettingIds.length)
		return;

	foreach SavedSettings(elem)
		Profile.SetProfileSettingValue(elem.id,elem.value);
}

defaultproperties
{
	PROFILEVERSION=100

	VersionNumber=-1
	SavedSettings.Empty
}
