/**
 * When voting, count additional splitscreen players as your vote ~fox
 * Based off and may contain code provided by and Copyright 1998-2008 Epic Games, Inc. All Rights Reserved.
 */
class foxVoteCollector extends UTVoteCollector;

private function int GetLocalVoteIndex(LocalPlayer LP)
{
	local UTPlayerController LocalVoter;
	local int i;

	for (i = 0; i < VRIList.Length; i++) {
		LocalVoter = UTPlayerController(VRIList[i].Owner);
		if (LocalPlayer(LocalVoter.Player) == LP)
			return i;
	}
	return -1;
}

function AddGameVote(UTVoteReplicationInfo VRI, byte GameIdx)
{
	local LocalPlayer LP;
	local int i, locVoteIdx;

	LP = LocalPlayer(UTPlayerController(VRI.Owner).Player);
	if (LP == None) {
		Super.AddGameVote(VRI, GameIdx);
		return;
	}

	for (i = 0; i < 4; i++) {
		LP = LocalPlayer(UTPlayerController(VRI.Owner).Player).ViewportClient.FindPlayerByControllerId(i);
		if (LP != None) {
			locVoteIdx = GetLocalVoteIndex(LP);
			if (locVoteIdx != -1)
				Super.AddGameVote(VRIList[locVoteIdx], GameIdx);
		}
	}
}

function AddMapVote(UTVoteReplicationInfo VRI, byte MapIdx)
{
	local LocalPlayer LP;
	local int i, locVoteIdx;

	LP = LocalPlayer(UTPlayerController(VRI.Owner).Player);
	if (LP == None) {
		Super.AddMapVote(VRI, MapIdx);
		return;
	}

	for (i = 0; i < 4; i++) {
		LP = LocalPlayer(UTPlayerController(VRI.Owner).Player).ViewportClient.FindPlayerByControllerId(i);
		if (LP != None) {
			locVoteIdx = GetLocalVoteIndex(LP);
			if (locVoteIdx != -1)
				Super.AddMapVote(VRIList[locVoteIdx], MapIdx);
		}
	}
}

function AddMutatorVote(UTVoteReplicationInfo VRI, byte MutIdx)
{
	local LocalPlayer LP;
	local int i, locVoteIdx;

	LP = LocalPlayer(UTPlayerController(VRI.Owner).Player);
	if (LP == None) {
		Super.AddMutatorVote(VRI, MutIdx);
		return;
	}

	for (i = 0; i < 4; i++) {
		LP = LocalPlayer(UTPlayerController(VRI.Owner).Player).ViewportClient.FindPlayerByControllerId(i);
		if (LP != None) {
			locVoteIdx = GetLocalVoteIndex(LP);
			if (locVoteIdx != -1)
				Super.AddMutatorVote(VRIList[locVoteIdx], MutIdx);
		}
	}
}

function AddKickVote(UTVoteReplicationInfo VRI, int KickID)
{
	local LocalPlayer LP;
	local int i, locVoteIdx;

	LP = LocalPlayer(UTPlayerController(VRI.Owner).Player);
	if (LP == None) {
		Super.AddKickVote(VRI, KickID);
		return;
	}

	for (i = 0; i < 4; i++) {
		LP = LocalPlayer(UTPlayerController(VRI.Owner).Player).ViewportClient.FindPlayerByControllerId(i);
		if (LP != None) {
			locVoteIdx = GetLocalVoteIndex(LP);
			if (locVoteIdx != -1)
				Super.AddKickVote(VRIList[locVoteIdx], KickID);
		}
	}
}

function RemoveGameVote(UTVoteReplicationInfo VRI)
{
	local LocalPlayer LP;
	local int i, locVoteIdx;

	LP = LocalPlayer(UTPlayerController(VRI.Owner).Player);
	if (LP == None) {
		Super.RemoveGameVote(VRI);
		return;
	}

	for (i = 0; i < 4; i++) {
		LP = LocalPlayer(UTPlayerController(VRI.Owner).Player).ViewportClient.FindPlayerByControllerId(i);
		if (LP != None) {
			locVoteIdx = GetLocalVoteIndex(LP);
			if (locVoteIdx != -1)
				Super.RemoveGameVote(VRIList[locVoteIdx]);
		}
	}
}

function RemoveMapVote(UTVoteReplicationInfo VRI)
{
	local LocalPlayer LP;
	local int i, locVoteIdx;

	LP = LocalPlayer(UTPlayerController(VRI.Owner).Player);
	if (LP == None) {
		Super.RemoveMapVote(VRI);
		return;
	}

	for (i = 0; i < 4; i++) {
		LP = LocalPlayer(UTPlayerController(VRI.Owner).Player).ViewportClient.FindPlayerByControllerId(i);
		if (LP != None) {
			locVoteIdx = GetLocalVoteIndex(LP);
			if (locVoteIdx != -1)
				Super.RemoveMapVote(VRIList[locVoteIdx]);
		}
	}
}

function RemoveMutatorVote(UTVoteReplicationInfo VRI, byte MutIdx)
{
	local LocalPlayer LP;
	local int i, locVoteIdx;

	LP = LocalPlayer(UTPlayerController(VRI.Owner).Player);
	if (LP == None) {
		Super.RemoveMutatorVote(VRI, MutIdx);
		return;
	}

	for (i = 0; i < 4; i++) {
		LP = LocalPlayer(UTPlayerController(VRI.Owner).Player).ViewportClient.FindPlayerByControllerId(i);
		if (LP != None) {
			locVoteIdx = GetLocalVoteIndex(LP);
			if (locVoteIdx != -1)
				Super.RemoveMutatorVote(VRIList[locVoteIdx], MutIdx);
		}
	}
}

function RemoveKickVote(UTVoteReplicationInfo VRI, int KickID)
{
	local LocalPlayer LP;
	local int i, locVoteIdx;

	LP = LocalPlayer(UTPlayerController(VRI.Owner).Player);
	if (LP == None) {
		Super.RemoveKickVote(VRI, KickID);
		return;
	}

	for (i = 0; i < 4; i++) {
		LP = LocalPlayer(UTPlayerController(VRI.Owner).Player).ViewportClient.FindPlayerByControllerId(i);
		if (LP != None) {
			locVoteIdx = GetLocalVoteIndex(LP);
			if (locVoteIdx != -1)
				Super.RemoveKickVote(VRIList[locVoteIdx], KickID);
		}
	}
}

defaultproperties
{
}
