/**
 * A mutator that replaces various SquadAIs with foxSquadAIs ~fox
 * Based off and may contain code provided by and Copyright 1998-2008 Epic Games, Inc. All Rights Reserved.
 */
class UTMutator_foxAI_CBP extends UTMutator_foxAI;

function InitMutator(string Options, out string ErrorMessage)
{
	local UTMT_TeamGame MTTG;
	local UTGame UTG;

	Super.InitMutator(Options, ErrorMessage);

	//Multi-Team Game TeamAI Overrides (sets SquadAI and randomized orders)
	MTTG = UTMT_TeamGame(WorldInfo.Game);
	if (MTTG != None) {
		OldTeamAIType = MTTG.MultiTeamAIType[0]; //Using OldTeamAIType will prevent TG.TeamAIType[0] == OldTeamAIType, which is always true for MultiTeam
		bMultiTeamSupportRequired = false; //We're now supporting MultiTeam, so clear this flag
		if (MTTG.MultiTeamAIType[0] == class'DOMTeamAI') {
			MTTG.MultiTeamAIType[0] = class'foxDomTeamAI';
			MTTG.MultiTeamAIType[1] = class'foxDomTeamAI';
			MTTG.MultiTeamAIType[2] = class'foxDomTeamAI';
			MTTG.MultiTeamAIType[3] = class'foxDomTeamAI';
		}
		else if (MTTG.MultiTeamAIType[0] == class'xDOMTeamAI') {
			MTTG.MultiTeamAIType[0] = class'foxDoubleDomTeamAI';
			MTTG.MultiTeamAIType[1] = class'foxDoubleDomTeamAI';
			MTTG.MultiTeamAIType[2] = class'foxDoubleDomTeamAI';
			MTTG.MultiTeamAIType[3] = class'foxDoubleDomTeamAI';
		}
		else if (bForceActivate || MTTG.MultiTeamAIType[0] == class'UTMT_TeamAI') {
			MTTG.MultiTeamAIType[0] = class'foxMTTeamAI';
			MTTG.MultiTeamAIType[1] = class'foxMTTeamAI';
			MTTG.MultiTeamAIType[2] = class'foxMTTeamAI';
			MTTG.MultiTeamAIType[3] = class'foxMTTeamAI';
		}
	}

	//Other Overrides
	UTG = UTGame(WorldInfo.Game);
	if (UTG != None) {
		//UTBot Override (misc AI stuff)
		if (UTG.BotClass == class'UTMT_UTBot')
			UTG.BotClass = class'foxBot';

		//PRI Overrides (for extended voice support and some AI stuff)
		switch UTG.PlayerReplicationInfoClass {
			case class'DomPRI':
				UTG.PlayerReplicationInfoClass = class'foxDomPRI';
		}
	}
}

//fox: Check any activation errors
function CheckErrors()
{
	local UTMT_TeamGame MTTG;

	Super.CheckErrors();

	MTTG = UTMT_TeamGame(WorldInfo.Game);
	if (MTTG != None && MTTG.MultiTeamAIType[0] == OldTeamAIType)
		ThrowError("TeamAI", MTTG.MultiTeamAIType[0], "Gametype AI");
}

defaultproperties
{
}
