/**
 * A mutator that replaces the UTGame.UTPlayerController class with a splitscreen profile friendly PC class ~fox
 * Based off and may contain code provided by and Copyright 1998-2008 Epic Games, Inc. All Rights Reserved.
 */
class UTMutator_foxSplitScreen_CBP extends UTMutator_foxSplitScreen;

function InitMutator(string Options, out string ErrorMessage)
{
	local UTGame UTG;

	Super.InitMutator(Options, ErrorMessage);

	UTG = UTGame(WorldInfo.Game);
	if (UTG != None) {
		//Handle controllers
		if (bForceActivate || UTG.PlayerControllerClass == class'UTMT_PlayerController') {
			UTG.PlayerControllerClass = class'foxMTPlayerController';
			UTG.ConsolePlayerControllerClass = class'foxMTPlayerController';
		}

		//Handle pawns
		if (UTG.DefaultPawnClass == class'DOMPawn')
			UTG.DefaultPawnClass = class'foxDomPawn';
		else if (bForceActivate || UTG.DefaultPawnClass == class'UTMT_Pawn')
			UTG.DefaultPawnClass = class'foxMTPawn';

		//Handle DOM HUD fix
		if (UTG.HUDType == class'DOMHUD')
			UTG.HUDType = class'foxDomHUD';
		else if (UTG.HUDType == class'xDomHUD')
			UTG.HUDType = class'foxDDomHUD';
	}
}

defaultproperties
{
}
